OGRE-Next: Ogre::VulkanBufferInterface Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::VulkanBufferInterface Class Referencefinal

`#include <OgreVulkanBufferInterface.h>`

Inheritance diagram for Ogre::VulkanBufferInterface:
[legend]

## Public Member Functions
| VulkanBufferInterface (size_t vboPoolIdx, VkBuffer vboName, VulkanDynamicBuffer *dynamicBuffer)
| ~VulkanBufferInterface () override
void | _firstUpload (void *data, size_t elementStart, size_t elementCount)
| Only use this function for the first upload.
void | _setVboPoolIndex (size_t newVboPool)
void | advanceFrame () override
void | copyTo (BufferInterface *dstBuffer, size_t dstOffsetBytes, size_t srcOffsetBytes, size_t sizeBytes) override
VkBuffer | getVboName () const
size_t | getVboPoolIndex ()
void * | getVulkanDataPtr ()
void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, MappingState prevMappingState, bool advanceFrame=true) override
void | regressFrame () override
void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0) override
Public Member Functions inherited from Ogre::BufferInterface
| BufferInterface ()
virtual | ~BufferInterface ()
virtual void | _ensureDelayedImmutableBuffersAreReady ()
virtual void | _notifyBuffer (BufferPacked *buffer)
BufferPacked * | getBufferPacked ()
void | upload (const void *data, size_t elementStart, size_t elementCount)

## Constructor & Destructor Documentation

## ◆ VulkanBufferInterface()

Ogre::VulkanBufferInterface::VulkanBufferInterface | ( | size_t | vboPoolIdx,
|  | VkBuffer | vboName,
|  | VulkanDynamicBuffer * | dynamicBuffer )

## ◆ ~VulkanBufferInterface()

Ogre::VulkanBufferInterface::~VulkanBufferInterface | ( |  | ) |
| override

## Member Function Documentation

## ◆ _firstUpload()

void Ogre::VulkanBufferInterface::_firstUpload | ( | void * | data,
|  | size_t | elementStart,
|  | size_t | elementCount )

Only use this function for the first upload.

## ◆ _setVboPoolIndex()

void Ogre::VulkanBufferInterface::_setVboPoolIndex | ( | size_t | newVboPool | ) |
| inline

## ◆ advanceFrame()

void Ogre::VulkanBufferInterface::advanceFrame | ( |  | ) |
| overridevirtual

Implements Ogre::BufferInterface.

## ◆ copyTo()

void Ogre::VulkanBufferInterface::copyTo | ( | BufferInterface * | dstBuffer,
|  | size_t | dstOffsetBytes,
|  | size_t | srcOffsetBytes,
|  | size_t | sizeBytes )
| overridevirtual

Implements Ogre::BufferInterface.

References Ogre::BufferInterface::BufferInterface().

## ◆ getVboName()

VkBuffer Ogre::VulkanBufferInterface::getVboName | ( |  | ) | const
| inline

## ◆ getVboPoolIndex()

size_t Ogre::VulkanBufferInterface::getVboPoolIndex | ( |  | ) |
| inline

## ◆ getVulkanDataPtr()

void * Ogre::VulkanBufferInterface::getVulkanDataPtr | ( |  | ) |
| inline

## ◆ map()

void *RESTRICT_ALIAS_RETURN Ogre::VulkanBufferInterface::map | ( | size_t | elementStart,
|  | size_t | elementCount,
|  | MappingState | prevMappingState,
|  | bool | advanceFrame = true )
| overridevirtual

Implements Ogre::BufferInterface.

References RESTRICT_ALIAS_RETURN.

## ◆ regressFrame()

void Ogre::VulkanBufferInterface::regressFrame | ( |  | ) |
| overridevirtual

Implements Ogre::BufferInterface.

## ◆ unmap()

void Ogre::VulkanBufferInterface::unmap | ( | UnmapOptions | unmapOption,
|  | size_t | flushStartElem = 0,
|  | size_t | flushSizeElem = 0 )
| overridevirtual

Implements Ogre::BufferInterface.

The documentation for this class was generated from the following file:

- OgreVulkanBufferInterface.h